Subject: _size_of_stack_reserve__()
From: [email-masked] (Rolf T. Gustafsson)

17 Nov 1998 23:44:30 -0800
Message-ID: <[email-masked]>
To: [email-masked]

 Hello,

I've created a program that has a part that runs
in a new thread. I start the new thread with
  _beginthread(ChessSrv,NULL,65536,NULL);
I started with a stacksize of 8192, but increased
it to see if it helped, but not so.
ChessSrv is defined as:
  void ChessSrv(void *param);
I link with libcygwin.a and libmsvcrt.a
the compile is done with:
  gcc -c ChessSrv.c -o ChessSrv.o
  gcc -g -o ChessSrv.exe ChessSrv.o ChessSrv.res *.a -e _mainCRTStartup -mwindows
The program startsup OK with the window, and I can see in gdb that the dlls are loading, then before 
the new thread are called the error comes:
Segmentation fault in _size_of_stack_reserve__()

 Any help will be appriciated.
 
  Rolf Gustafsson.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".